Name:           perl-Net-RawIP
Version:        0.25
Release:        12%{?dist}
Summary:        Perl extension for manipulating raw ip packets using libpcap
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-RawIP/
Source0:        http://www.cpan.org/modules/by-module/Net/Net-RawIP-%{version}.tar.gz
Patch0:         Net-RawIP-0.23-format.patch
BuildRequires:  perl(ExtUtils::MakeMaker), libpcap-devel,
BuildRequires:  perl(Proc::ProcessTable), perl(Test::Perl::Critic)
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This package provides a class object which can be used for creating,
manipulating and sending raw ip packets with optional features for
manipulating Ethernet headers.

%prep
%setup -q -n Net-RawIP-%{version}
%patch0 -p1 -b .format

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

chmod a-x examples/*

%check
%{?!_with_network_tests: rm t/iflist.t }
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README README.Devel TODO examples
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net*
%{_mandir}/man3/*

%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Petr Pisar <ppisar@redhat.com> - 0.25-11
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.25-9
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.25-7
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.25-6
- Mass rebuild with perl-5.12.0

* Fri Mar  5 2010 Stepan Kasal <skasal@redhat.com> - 0.25-5
- use rpm macro perl_default_filter

* Thu Mar  4 2010 Miloslav Trmač <mitr@redhat.com> - 0.25-4
- Filter out bogus Provides: RawIP.so
- Drop no longer required references to BuildRoot

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct 31 2008 Miloslav Trmač <mitr@redhat.com> - 0.25-1
- Update to Net-RawIP-0.25

* Wed Oct 22 2008 Miloslav Trmač <mitr@redhat.com> - 0.24-1
- Update to Net-RawIP-0.24

* Tue Aug  5 2008 Miloslav Trmač <mitr@redhat.com> - 0.23-2
- Ship the examples

* Wed Jul 30 2008 Miloslav Trmač <mitr@redhat.com> - 0.23-1
- Initial package.
